name: base
channels:
  - conda-forge
dependencies:
  - python >= 3.9
  - dqsegdb2
  - ezdag
  - gds-lsmp
  - gpstime
  - gwpy >= 2.1.4
  - gwtrigfind
  - h5py
  - ldas-tools-framecpp = 2.8.1  # see https://git.ligo.org/computing/ldastools/LDAS_Tools/-/issues/164
  - ligo-segments
  - ligo-scald >= 0.8
  - libframe
  - matplotlib-base
  - numpy
  - toml
  - pluggy
  - python-confluent-kafka
  - python-lal
  - python-ldas-tools-framecpp < 3.0
  - python-ligo-lw
  - scikit-learn
  - scipy
  - ujson
  - uproot
  - xgboost
  - pip
